org.apache.lucene.analysis.en

## Class EnglishPossessiveFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.en.EnglishPossessiveFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class EnglishPossessiveFilter
    extends TokenFilter

TokenFilter that removes possessives (trailing 's) from words.

You must specify the required `Version` compatibility when creating EnglishPossessiveFilter:

- As of 3.6, U+2019 RIGHT SINGLE QUOTATION MARK and U+FF07 FULLWIDTH APOSTROPHE are also treated as quotation marks.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`EnglishPossessiveFilter(TokenStream input)` Deprecated. Use `EnglishPossessiveFilter(Version, TokenStream)` instead.
`EnglishPossessiveFilter(Version version, TokenStream input)`

### Method Summary

Methods
`boolean` `incrementToken()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end, reset`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnglishPossessiveFilter

    @Deprecated
    public EnglishPossessiveFilter(TokenStream input)

Deprecated. Use `EnglishPossessiveFilter(Version, TokenStream)` instead.

#### EnglishPossessiveFilter

    public EnglishPossessiveFilter(Version version,
                           TokenStream input)

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`